﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinGridBeforCellUpdate
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable tab = new DataTable();
            tab.Columns.Add("COL", typeof(string)).DefaultValue = "Some Text";

            tab.Rows.Add();
            tab.Rows.Add();
            tab.Rows.Add();
            tab.Rows.Add();
            tab.Rows.Add();

            ultraGrid1.DataSource = tab;
           
           

        }

        private void ultraGrid1_BeforeCellUpdate(object sender, Infragistics.Win.UltraWinGrid.BeforeCellUpdateEventArgs e)
        {
            if (ultraGrid1.ActiveCell.Column.Key == "COL")
            {
                try
                {

                    MessageBoxButtons btns = MessageBoxButtons.YesNo;

                    if (MessageBox.Show("If you change this all child values will be erased automatically. Are you sure you want to do this ? ", "Warning", btns) == System.Windows.Forms.DialogResult.No)
                    {
                        e.Cancel = true;
                    }

                    else
                    {

                        //UpdatedContractRows.Add(e.Cell.Row);
                    }



                }

                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                    e.Cancel = true;
                }

            }


        }

        private void button1_Click(object sender, EventArgs e)
        {
            int total = 0;
            foreach (var header in ultraGrid1.DisplayLayout.ColScrollRegions[0].VisibleHeaders)
            {
                total += header.Header.Column.Width;
            }
            ultraGrid1.Width = total + 25;
          
        }
    }
}
